### Program echo board 1614

1. Download & Open arduino file: http://academy.cba.mit.edu/classes/embedded_programming/t1614/hello.t1614.echo.ino
3. Select the board -> Tool/ATtiny1614
4. Compile -> Press "Verify booton" 
> If everything goes well you should see in your "build.path", new files with the name of the arduino's sketch and the following extensions; .bin .eep .elf .hex .lst

5. Download "pyupdi" (python utility): https://github.com/mraardvark/pyupdi
6. Open terminal
7. Install dependeces > Run
`pip3 install intelhex pylint pyserial`
8. Connect the Boards with the following sequence:
**USB to ftdi + hello.serial-UPDI.FT230X +  hello.t1614.echo + ftdi to USB (this just for power and ground)**
9. Go to termina and run
`dmesg -w`
10. Connect and disconet the ftdi cable and take note of the "port name" where
![](https://i.imgur.com/JvYkppn.png)
12. Go into the pyupdi" folder
13. Program the board using python -> run
`sudo python3 pyupdi.py -d tiny1614 -c /dev/ttyUSB0 -b 19200 -f ~/Arduino/build/hello.t1614.echo.ino.hex -v`
14. Listen the serial port
`python -m serial.tools.miniterm /dev/ttyUSB1 115200`
15. Type something and you should see.
![](https://i.imgur.com/tAr6mja.png)