/*
    FILE   : Sine-Beam.scad
    
    AUTHOR : Denis Terwagne <Denis.Terwagne@ulb.ac.be>
    
    DATE   : 2020-01-23
    
    LICENSE : Creative Commons Attribution 4.0 International [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/)
*/

thickness=5;
r=0.5;
beam_length=30;
wave_num=3;
A=10;

for (i=[0:1:beam_length*10]){
   
   hull(){ 
    translate([i/10,A*cos(i*360/beam_length*wave_num/10),0]) cylinder(thickness,r,r,center=true);
    translate([(i+1)/10,A*cos((i+1)*360/beam_length*wave_num/10),0]) cylinder(thickness,r,r,center=true);    
   }

}