#
# serialtest.py
#    serial speed test
#
# Neil Gershenfeld  1/22/20
#
import serial,sys,time
if (len(sys.argv) != 3):
   print("command line: serialtest.py port speed")
   sys.exit()
device = sys.argv[1]
baud = int(sys.argv[2])
print('open '+device+' at ',baud)
port = serial.Serial(device,baudrate=baud,timeout=0)
msg = b"\xaa\x00\xff\xaa\x00\xff\xaa\x00\xff\xaa\x00\xff\xaa"
while (1):
   port.write(msg)
   time.sleep(0.0001)
