#
# serialtimetest.py
#    serial speed test with time alarm
#
# Neil Gershenfeld  1/22/20
#
import serial,sys,time,signal
if (len(sys.argv) != 3):
   print("command line: serialtest.py port speed")
   sys.exit()
device = sys.argv[1]
baud = int(sys.argv[2])
print('open '+device+' at ',baud)
port = serial.Serial(device,baudrate=baud,timeout=0)
msg0 = b"\x00"
msg1 = b"\xff"
flag = 0
def handler(signum,stack):
   global flag
   if (flag == 0):
      port.write(msg0)
      flag = 1
   else:
      port.write(msg1)
      flag = 0
signal.signal(signal.SIGALRM,handler)
#signal.setitimer(signal.ITIMER_REAL,0.00025,0.00025)
signal.setitimer(signal.ITIMER_REAL,0.0002,0.0002)
#signal.setitimer(signal.ITIMER_REAL,0.01,0.01)
#signal.setitimer(signal.ITIMER_REAL,1,1)
while (1):
   0  
